org.apache.naming.resources

## Class CacheEntry

- java.lang.Object
- - org.apache.naming.resources.CacheEntry

-     public class CacheEntry
      extends Object

  Implements a cache entry.
  Author:
    Remy Maucherat

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `long` | `accessCount`
    `ResourceAttributes` | `attributes`
    `DirContext` | `context`
    `boolean` | `exists`
    `String` | `name`
    `Resource` | `resource`
    `int` | `size`
    `long` | `timestamp`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CacheEntry()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `recycle()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### timestamp

          public long timestamp

    - #### name

          public String name

    - #### attributes

          public ResourceAttributes attributes

    - #### resource

          public Resource resource

    - #### context

          public DirContext context

    - #### exists

          public boolean exists

    - #### accessCount

          public long accessCount

    - #### size

          public int size

  - ### Constructor Detail

    - #### CacheEntry

          public CacheEntry()

  - ### Method Detail

    - #### recycle

          public void recycle()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.